program write_boot;      {Write the boot sector on drive A from boot.sec}
uses dos;
var
  boot             :array[0..511] of byte;
  r                :registers;
  fin              :file;
begin
  assign(fin,'boot.sec');
  reset(fin,512);
  blockread(fin,boot,1);
  close(fin);
  r.ax:=$0301;
  r.bx:=ofs(boot);
  r.es:=seg(boot);
  r.dx:=$0000;
  r.cx:=$0001;
  intr($13,r);
end.
